For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
            • GETGet Order
            • PUTUpdate Order
            • DELArchive Order
            • GETGet Count of Orders
            • GETList Orders
            • POSTCreate Order
            • DELDelete All Orders
              • GETList Order Taxes
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementOrdersOrder Taxes

List Order Taxes

GET
https://api.bigcommerce.com/stores/:store_hash/v2/orders/:order_id/taxes
GET
/stores/:store_hash/v2/orders/:order_id/taxes
$curl https://api.bigcommerce.com/stores/store_hash/v2/orders/1/taxes \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
200response
1[
2 {
3 "id": 101,
4 "order_id": 1001,
5 "order_address_id": 501,
6 "sales_tax_id": "TX-CA-001",
7 "tax_class_id": 2,
8 "name": "California State Tax",
9 "class": "State Tax",
10 "rate": "7.2500",
11 "priority": 1,
12 "priority_amount": "12.50",
13 "line_amount": "12.50",
14 "order_pickup_method_id": 0,
15 "order_product_id": "2001",
16 "line_item_type": "item",
17 "tax_rate_id": 5
18 },
19 {
20 "id": 102,
21 "order_id": 1001,
22 "order_address_id": 502,
23 "sales_tax_id": "TX-CA-002",
24 "tax_class_id": 3,
25 "name": "Local City Tax",
26 "class": "City Tax",
27 "rate": "1.5000",
28 "priority": 2,
29 "priority_amount": "2.58",
30 "line_amount": "2.58",
31 "order_pickup_method_id": 0,
32 "order_product_id": null,
33 "line_item_type": "shipping",
34 "tax_rate_id": 6
35 }
36]

Gets all order taxes using order_id. Each tax applied to an order. This information can be useful for reporting purposes. Pass in the query parameter ?details=true to return extra details about order taxes. order_product_id and line_item_type are also returned.

All values are read-only.

Was this page helpful?
Previous

Get Single Order Status by ID

Next

Order Operations

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Orders | modify | `store_v2_orders` | | Orders | read-only | `store_v2_orders_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

order_idintegerRequired
ID of the order.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

pagedoubleOptionalDefaults to 1
The page to return in the response.
limitdoubleOptionalDefaults to 50
Number of results to return.
detailsstringOptionalDefaults to false
To return detailed tax information, pass in the details query.

Response

idinteger
The unique numeric identifier of the taxes object.
order_idinteger

The unique numeric identifier of the order to which the tax was applied. NOTE: Not included if the store was using the automatic tax feature.

order_address_idinteger

The unique numeric identifier of the order address object associated with the order. NOTE: Not included if the store was using the automatic tax feature.

sales_tax_idstring

A unique identifier for the applied tax rate. This may be a third-party tax provider’s identifier.

tax_class_idinteger or null
A unique numeric identifier for the tax class. If not provided or null, the default fee tax class from the control panel is used.
namestring
The name of the tax class object.
classstring

The name of the type of tax that was applied. NOTE: It will be “Automatic Tax” if automatic tax was enabled. It will be “API Tax Override” if the order was created with V2 Orders API.

ratestring

The tax rate. The priority order in which the tax is applied (Float, Float-As-String, Integer)

prioritydouble
The order in which the tax is applied.
priority_amountstring

The amount of tax calculated on the order. (Float, Float-As-String, Integer)

line_amountstring

(Float, Float-As-String, Integer)

order_pickup_method_iddouble

The ID of the order pickup method object (which contains pickup location details) associated with the order.

order_product_idstring

If the line_item_type is item or handling then this field will be the order product id. Otherwise the field will return as null.

line_item_typeenum
Type of tax on item.
Allowed values:
tax_rate_idintegerDeprecated

The unique numeric identifier of the tax rate. This field has been deprecated, use sales_tax_id instead.

OAuth scopes

UI NamePermissionParameter
Ordersmodifystore_v2_orders
Ordersread-onlystore_v2_orders_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.